plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
    id 'kotlinx-serialization'
}


ext{
    versionCode=230407200
    brandCode="000A"
    brandVersionCode=versionCode
    model="1037"
}


android {
    compileSdk 31

    defaultConfig {
        applicationId "com.develop.foodcooking"
        minSdk 21
        targetSdk 30
        versionCode project.ext.versionCode
        versionName "${project.ext.model}.${project.ext.brandCode}.${project.ext.brandVersionCode}.${project.ext.versionCode}"
        archivesBaseName = "cofar-cooking_${versionName}"
        javaCompileOptions {
            annotationProcessorOptions {
                arguments = ["room.schemaLocation": "$projectDir/schemas".toString()]
            }
        }


        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        kapt {
            arguments {
                arg("AROUTER_MODULE_NAME", project.getName())
                arg("room.schemaLocation", "$projectDir/schemas".toString())

            }
        }
        multiDexEnabled true
    }

    signingConfigs {
        debug {
            storeFile file('..\\signature\\rk.jks')
            storePassword '123456'
            keyAlias 'rk'
            keyPassword '123456'
        }
        foodCooking {
            storeFile file("..\\signature\\rk.jks")
            storePassword '123456'
            keyAlias 'rk'
            keyPassword '123456'
        }

        release {
            storeFile file('..\\signature\\rk.jks')
            storePassword '123456'
            keyAlias 'rk'
            keyPassword '123456'
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }

    viewBinding {
        enabled = true
    }
}

dependencies {


    implementation project(path: ':libBase') //基础工具模块，不涉及业务逻辑

    implementation project(path: ':BusinessCommon')//业务相关的基础类

    implementation project(path: ':BusinessMain') //烹饪主模块

    implementation project(path: ':BusinessAuth')//登录-注册-个人信息模块

    implementation project(path: ':BusinessSetting') //设置模块

    implementation project(path: ':BusinessStep') //烹饪步骤模块

    kapt 'com.alibaba:arouter-compiler:1.5.2'
}